function AclMessages() {
    /* + ----------------------------------- +
     * | Confirm messages                    |
     * + ----------------------------------- + */
    this.CON_DEL_PROFILE = 'Are you sure you want delete this profile?';
    this.CON_DEL_PROFILE_OPERATORS = 'Are you sure you want delete that operators related with this access profile?';
    this.CON_DEL_PROFILE_OPERATORS_PERFILFILIAL = 'Are you sure you want delete that operators related with this access profile? The operator will be removed from all branches related to this profile.';
    this.CON_DEL_RELATED_BRANCH_PROFILE = 'Are you sure you want delete that branch related with this operator?';
    this.CON_DEL_PROFILE_CONTROL_PROFILE = 'Are you sure you want delete that profile related with this control profile?';
    this.CON_CHEN_ACCESS_PROFILE = 'Are you sure you want change the access control?';
    this.CON_DEL_OPERATOR = 'Do you want to delete the selected operator?';
    this.CON_DEL_BRANCH = 'Do you want to delete the selected branch?';
    this.CON_DEL_BRANCH_ACCESSPROFILE = 'Do you want to delete the selected branch? Related access profiles will be deleted';
    this.CON_DEL_ORGANIZATION = 'Do you want to delete the selected organization?';
    this.CON_DEL_OPERATOR_GROUP = 'Do you want to delete the selected operator group?';

    /* + ----------------------------------- +
     * | Error messages                    |
     * + ----------------------------------- + */
    this.ERR_DEL_PROFILE = 'Error at try delete profile. Error: ';
    this.ERR_SAV_PROFILE = 'Error at try save profile. Error: ';
    this.ERR_SAV_PROFILE_OPERATORS = 'Fail at try relate the operators at this profile.';

    /* + ----------------------------------- +
     * | Alert messages                    |
     * + ----------------------------------- + */
    this.ALE_FILL_REQ_FIELD = 'The required fields must be filled.';
    this.ALE_PASSWORD_NOT_MATCH = 'Passwords do not match.';
    this.ALE_PASSWORD_INVALID_LENGTH = 'Password must contain between 6 and 20 characters.';
    this.ALE_NEW_PASSWORD_EQUAL_OLD = 'New password can not be the same as old';
    this.ALE_IMAGE_REQUIRED_FIELD = 'Choose a profile picture';
    this.ALE_PERMISSION_ORGANIZATION = 'You can only manipulate organizations in which you are inserted.';
    this.ALE_MIN_LENGTH_OPERATOR_CODE = 'O campo "Código" deve conter 12 caracteres.';
    this.ALE_NO_PERMISSION_TO_ACTIVATE_ACCESS_CONTROL = 'Access Control can not be activated while there is not an administrator in access profile!';
    this.ALE_HR_INI_HR_FIM = 'O fim da jornada deve ser maior que o início.';

    /* + ----------------------------------- +
     * | Success messages                    |
     * + ----------------------------------- + */
    this.SUC_SAVE_GENERIC = 'Register saved successfully.';
    this.SUC_DEL_OPERATOR = 'Operator deleted successfully.';
    this.SUC_SAVE_OPERATOR = 'Operator save successfully.';
    this.SUC_DELETE_ACCESS_PROFILE = 'Access profile deleted successfully.';
    this.SUC_SAVE_ACCESS_PROFILE = 'Access profile saved successfully.';
    this.SUC_SAVE_CONTROL_PROFILE = 'Access control type saved successfully.';
    this.SUC_SAVE_RELATED_BRANCH = 'Branch saved successfully.';
    this.SUC_SAVE_RELATED_ORGANIZATION = 'Organization saved successfully.';
    this.SUC_SAVE_PASSWORD = 'Password changed successfully.';
    this.SUC_ACCESS_PROFILE_ACTIVATED = 'Access control activated successfully!';
    this.SUC_ACCESS_PROFILE_DISABLED = 'Access control disabled successfully!';
    this.SUC_DELETE_RELATED_BRANCH = 'Branch Deleted successfully.';
    this.SUC_DELETE_RELATED_ORGANIZATION = 'Organization Deleted successfully.';
    this.SUC_CHANGE_ACCESS_PROFILE = 'Type of Access Control changed successfully';
}

Configuration(function(ContextRegister) {
    ContextRegister.register('AclMessages', AclMessages);
});
